Bug 1275413 - collectd is FTBFS when built against varnish 4.1
collectd is FTBFS when built against varnish 4.1
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 16:47 EDT by Peter Robinson
Modified: 2015-10-31 13:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 13:46:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2015-10-26 16:47:35 EDT
collectd is FTBFS when built with vagrant support

https://github.com/collectd/collectd/issues/1302

http://koji.fedoraproject.org/koji/taskinfo?taskID=11588020


varnish.c:203:90: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'backend_toolate'
   varnish_submit_derive (conf->instance, "backend", "connections", "was-closed"   , stats->backend_toolate);
                                                                                          ^
varnish.c:232:88: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'fetch_close'
   varnish_submit_derive (conf->instance, "fetch", "http_requests", "close"      , stats->fetch_close);
                                                                                        ^
varnish.c:234:88: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'fetch_oldhttp'
   varnish_submit_derive (conf->instance, "fetch", "http_requests", "oldhttp"    , stats->fetch_oldhttp);
                                                                                        ^
varnish.c:236:88: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'fetch_zero'
   varnish_submit_derive (conf->instance, "fetch", "http_requests", "zero"       , stats->fetch_zero);
                                                                                        ^
varnish.c:351:91: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'sess_pipeline'
   varnish_submit_derive (conf->instance, "session", "total_operations", "pipeline",  stats->sess_pipeline);
                                                                                           ^
varnish.c:362:91: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'sess_pipe_overflow'
   varnish_submit_derive (conf->instance, "session", "total_operations", "overflow",  stats->sess_pipe_overflow);
                                                                                           ^
varnish.c:418:85: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'sms_nreq'
   varnish_submit_derive (conf->instance, "sms", "total_requests", "allocator", stats->sms_nreq);
                                                                                     ^
varnish.c:420:85: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'sms_nobj'
   varnish_submit_gauge (conf->instance,  "sms", "requests", "outstanding",     stats->sms_nobj);
                                                                                     ^
varnish.c:422:85: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'sms_nbytes'
   varnish_submit_gauge (conf->instance,  "sms", "bytes", "outstanding",        stats->sms_nbytes);
                                                                                     ^
varnish.c:424:85: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'sms_balloc'
   varnish_submit_derive (conf->instance,  "sms", "total_bytes", "allocated",   stats->sms_balloc);
                                                                                     ^
varnish.c:426:85: error: 'c_varnish_stats_t {aka const struct VSC_C_main}' has no member named 'sms_bfree'
   varnish_submit_derive (conf->instance,  "sms", "total_bytes", "free",        stats->sms_bfree);
                                                                                     ^
Makefile:4454: recipe for target 'varnish_la-varnish.lo' failed
Comment 1 Ruben Kerkhof 2015-10-30 12:57:49 EDT
I take it you mean varnish support instead of vagrant support?
Comment 2 Peter Robinson 2015-10-30 12:59:03 EDT
(In reply to Ruben Kerkhof from comment #1)
> I take it you mean varnish support instead of vagrant support?

yes, and it actually says that in the title above
Comment 3 Ruben Kerkhof 2015-10-31 13:46:20 EDT
Ok, thanks.

This is fixed in collectd-5.5.0-10.fc24

Note You need to log in before you can comment on or make changes to this bug.